Bug 1018237 - Cannot filter bpmn2 files when browsing in BPM implementation wizard
Cannot filter bpmn2 files when browsing in BPM implementation wizard
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Rob Cernich
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:17 EDT by Brian Fitzpatrick
Modified: 2014-06-16 19:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1767 Major Closed Cannot select bpmn2 files for BPM implementation 2014-06-16 19:52:53 EDT

  None (edit)
Description Brian Fitzpatrick 2013-10-11 10:17:06 EDT
Description of problem:

From Jeff Delong regarding the file browse for the BPM implementation:

If I change the extension of the process file to bpmn (instead of bpmn2) it finds it okay

If I put bpmn2 in the search filter, it does not find it.

BPMN2 Editor uses bpmn2 as the extension by default


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Create an empty component
2. Add a BPM implementation
3. Browse for bpm file
4. Type "bpmn2" in search filter.

Expected result: Finds bpmn2 files in the project classpath.

Actual result: Displays nothing.


Additional info:
Comment 1 JBoss JIRA Server 2013-10-11 10:19:58 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1767

PR fixes issue. Adds bpmn2 to list of files that appear in the file classpath selection dialog.
Comment 3 JBoss JIRA Server 2013-10-16 13:41:04 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1767

pushed
Comment 4 Andrej Podhradsky 2013-12-18 11:32:12 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 5 JBoss JIRA Server 2014-06-16 19:52:53 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1767 to Closed

Note You need to log in before you can comment on or make changes to this bug.